# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "prustio"
version = "1.0.1"
authors = ["Michal Žatečka"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The Rust embedded project management."
readme = "README.md"
license = "Apache-2.0"

[[bin]]
name = "prustio"
path = "src/main.rs"

[[test]]
name = "integration_tests"
path = "tests/integration_tests.rs"

[dependencies.clap]
version = "4.6.1"
features = ["derive"]

[dependencies.colored]
version = "3.1.1"

[dependencies.comfy-table]
version = "7.2.2"

[dependencies.dirs]
version = "6.0.0"

[dependencies.regex]
version = "1.12.3"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_ini]
version = "0.2"

[dependencies.serde_json]
version = "1.0"

[dependencies.toml]
version = "1.0.7"

[dependencies.toml_edit]
version = "0.23.9"
features = ["serde"]

[dev-dependencies.assert_cmd]
version = "2.0"

[dev-dependencies.predicates]
version = "3.0"

[dev-dependencies.tempfile]
version = "3.8"
